pydo.vpcs.create_peerings()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.vpcs.create_peerings(
vpc_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"name": "nyc1-blr1-peering",
"vpc_id": "c140286f-e6ce-4131-8b7b-df4590ce8d6a",
},
)Description
To create a new VPC peering for a given VPC, send a POST request to
/v2/vpcs/{vpc_id}/peerings.
Parameters
vpc_idstring requiredA unique identifier for a VPC.
namestring requiredExample:
nyc1-blr1-peeringThe name of the VPC peering. Must be unique and may only contain alphanumeric characters, dashes, and periods.
vpc_idstring requiredExample:
c140286f-e6ce-4131-8b7b-df4590ce8d6aThe ID of the VPC to peer with.
Request Sample
Response Example
More Information
See /v2/vpcs/{vpc_id}/peerings in the API reference for additional detail on responses, headers, parameters, and more.